Get the last error message

- « odbc_error

- odbc_exec »

- PHP Manual
- ODBC Functions
- Get the last error message

# odbc_errormsg

(PHP 4 >= 4.0.5, PHP 5, PHP 7, PHP 8)

odbc_errormsg — Get the last error message

### Description

odbc_errormsg(?resource `$odbc` = `null`): string

Returns a string containing the last ODBC error message, or an empty string if there has been no errors.

### Parameters

`odbc`

  The ODBC connection identifier, see odbc_connect() for details.

### Return Values

If `odbc` is specified, the last state of that connection is returned, else the last state of any connection is returned.

This function returns meaningful value only if last odbc query failed (i.e. odbc_exec() returned `false`).

### Changelog

Version | Description
--- | ---
8.0.0 | `odbc` is nullable now.

### See Also

- odbc_error() - Get the last error code
- odbc_exec() - Directly execute an SQL statement